package com.hichina.admin.hichinaadminbackend.controller;

import com.hichina.admin.hichinaadminbackend.model.mongo.HomeSlideImage;
import com.hichina.admin.hichinaadminbackend.repository.HomeSlideImageRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping("/api/v1/demo")
public class DemoController {
    @Autowired
    private HomeSlideImageRepository repository;

    @GetMapping("")
    public String mongotest(){
        repository.deleteAll();
        List<HomeSlideImage> data = new ArrayList<>();
        data.add(new HomeSlideImage("贵州","贵州是个好地方","http://photoprism.hichinatravel.com/api/v1/t/1f48c9ada3ecea391b59af5e98a4e7253f130f22/32mcf2k4/fit_2048", "http://gzly03.gzgsgj.com/new-gzpc/pc/index.html?bd_vid=11924990619224951780&hdfshare=15685983062"));
        data.add(new HomeSlideImage("北京","北京是个好地方","http://photoprism.hichinatravel.com/api/v1/t/a33b041a545ac346c67627708086dcca7e33c94f/32mcf2k4/fit_2048", "https://www.xiaohongshu.com/explore/63357bc9000000001c02c8ba"));
        repository.insert(data);
        return "succeed";
    }
}
